curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": true
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}"
payload = {
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": True
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
stateId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
quantity: 123,
returnReasonId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
returnReasonComment: '<string>',
conditionId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
conditionComment: '<string>',
credit: true
})
};
fetch('https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"itemNumber": "<string>",
"quantity": 123,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": true,
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Update Return Line Item
Updates a specific line item of an existing return - state, quantity, return reason and its comment, condition and its comment, and the credit flag. The state of the return is inferred from the states of its line items.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
Optional, client-generated key for deduplicating repeated write requests. A repeated request with the same key returns the originally recorded result instead of executing the effect again.
1 - 255The tenant ID for the target ERP instance.
Path Parameters
"b45f6432-2462-4c6f-b00f-1d9d01000000"
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
Request parameters
Updates a specific line item of an existing return - state, quantity, return reason and its comment, condition and its comment, and the credit flag. The state of the return is inferred from the states of its line items. - Request
The new state of the line item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The new quantity of the line item.
The return reason of the line item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The comment for the return reason.
The item condition after inspection.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The comment for the item condition.
Indicates whether the line item should be credited.
Response
The updated line item.
Model Class: ReturnLineItem
Unique ID to identify a return line item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Unique ID to identify a return.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the return line item state.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Unique ID to identify an item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Name of the position.
The item number of the line item.
The quantity of the line item.
Unique ID to identify a return reason.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The comment corresponding to the return line item reason.
Unique ID to identify a condition.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The comment corresponding to the return line item condition.
Indicates whether this return line item should be credited.
Unique ID to identify a sales order.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Unique ID to identify a sales order item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Unique ID to identify a delivery note item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?